package cn.net.cpzslibs.prot.handset.bean.res;

/**
 * @author 作者 李扬:
 * @date 创建时间：2017-4-20 下午1:46:31
 * @version 1.0
 * @parameter
 * @since
 * @return
 */
public class Prot20018ResBean {
	/*
	 * { “iResult”:0 “num”:1 }
	 */
	private int iResult;
	private int num;
	
	private int errcode;
  	private String errmsg;
  	private int result = 0;//0：请求成功     1：遇到错误信息，返回错误码
	public Prot20018ResBean(int iResult, int num, int errcode, String errmsg,
			int result) {
		
		this.iResult = iResult;
		this.num = num;
		this.errcode = errcode;
		this.errmsg = errmsg;
		this.result = result;
	}
	public int getiResult() {
		return iResult;
	}
	public void setiResult(int iResult) {
		this.iResult = iResult;
	}
	public int getNum() {
		return num;
	}
	public void setNum(int num) {
		this.num = num;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	@Override
	public String toString() {
		return "Prot20018ResBean [iResult=" + iResult + ", num=" + num
				+ ", errcode=" + errcode + ", errmsg=" + errmsg + ", result="
				+ result + "]";
	}
	
	
  	
	
	
	
}
